# Interface BranchRow

interface BranchRow {
branchId ?: string;
isDeleted ?: boolean;
isExpanded ?: boolean;
noteId : string;
notePosition ?: null | number;
parentNoteId : string;
prefix ?: null | string;
utcDateModified ?: string;
}

- Defined in src/becca/entities/rows.ts:90

##### Index

### Properties

branchId?
isDeleted?
isExpanded?
noteId
notePosition?
parentNoteId
prefix?
utcDateModified?

## Properties

### `Optional` branchId

branchId?: string

- Defined in src/becca/entities/rows.ts:91

### `Optional` isDeleted

isDeleted?: boolean

- Defined in src/becca/entities/rows.ts:97

### `Optional` isExpanded

isExpanded?: boolean

- Defined in src/becca/entities/rows.ts:96

### noteId

noteId: string

- Defined in src/becca/entities/rows.ts:92

### `Optional` notePosition

notePosition?: null | number

- Defined in src/becca/entities/rows.ts:95

### parentNoteId

parentNoteId: string

- Defined in src/becca/entities/rows.ts:93

### `Optional` prefix

prefix?: null | string

- Defined in src/becca/entities/rows.ts:94

### `Optional` utcDateModified

utcDateModified?: string

- Defined in src/becca/entities/rows.ts:98